
public class Class46 {

   static final int anInt485 = 100;
   static int anInt486;
   static Class42[] aClass42Array487 = new Class42[100];
   static int anInt488 = 0;


   public static int method1137() {
      return anInt486 * -1795614009;
   }

   static int method1138() {
      return (anInt488 += 44198265) * 1874374857 - 1;
   }

   Class46() throws Throwable {
      throw new Error();
   }

   public static int method1139() {
      return anInt486 * -1795614009;
   }

   public static void method1140(String var0) {
      Class9.method665(0, 0, "", "", "", var0, -1737854183);
   }

   public static void method1141(String var0) {
      Class9.method665(0, 0, "", "", "", var0, -1467890805);
   }

   public static int method1142() {
      return anInt486 * -1795614009;
   }

   public static void method1143(int var0, String var1) {
      Class9.method665(var0, 0, "", "", "", var1, -928735749);
   }

   static int method1144() {
      return (anInt488 += 44198265) * 1874374857 - 1;
   }

   public static void method1145(int var0, int var1, String var2, String var3, String var4, String var5) {
      GameEngine.method5206(var0, var1, var2, var3, var4, var5, (String)null, -1, 1458295376);
   }

   public static void method1146(int var0, int var1, String var2, String var3, String var4, String var5, String var6, int var7) {
      Class42 var8 = aClass42Array487[99];

      for(int var9 = 99; var9 > 0; --var9) {
         aClass42Array487[var9] = aClass42Array487[var9 - 1];
      }

      if(var8 == null) {
         var8 = new Class42(var0, var1, var2, var3, var4, var6, var7, var5);
      } else {
         var8.method1119(var0, var1, var2, var3, var4, var6, var7, var5, 1756548675);
      }

      aClass42Array487[0] = var8;
      anInt486 += 407209719;
      client.anInt7631 = client.anInt7858 * 1514967319;
   }

   static int method1147() {
      return (anInt488 += 44198265) * 1874374857 - 1;
   }

   public static void method1148(int var0, int var1, String var2, String var3, String var4, String var5, String var6, int var7) {
      Class42 var8 = aClass42Array487[99];

      for(int var9 = 99; var9 > 0; --var9) {
         aClass42Array487[var9] = aClass42Array487[var9 - 1];
      }

      if(var8 == null) {
         var8 = new Class42(var0, var1, var2, var3, var4, var6, var7, var5);
      } else {
         var8.method1119(var0, var1, var2, var3, var4, var6, var7, var5, 1263457573);
      }

      aClass42Array487[0] = var8;
      anInt486 += 407209719;
      client.anInt7631 = client.anInt7858 * 1514967319;
   }

   public static Class42 method1149(int var0) {
      return var0 >= 0 && var0 < 100?aClass42Array487[var0]:null;
   }

   public static void method1150(int var0, int var1, String var2, String var3, String var4, String var5) {
      GameEngine.method5206(var0, var1, var2, var3, var4, var5, (String)null, -1, -176562248);
   }

   public static void method1151(int var0, int var1, String var2, String var3, String var4, String var5, String var6, int var7) {
      Class42 var8 = aClass42Array487[99];

      for(int var9 = 99; var9 > 0; --var9) {
         aClass42Array487[var9] = aClass42Array487[var9 - 1];
      }

      if(var8 == null) {
         var8 = new Class42(var0, var1, var2, var3, var4, var6, var7, var5);
      } else {
         var8.method1119(var0, var1, var2, var3, var4, var6, var7, var5, 1484697003);
      }

      aClass42Array487[0] = var8;
      anInt486 += 407209719;
      client.anInt7631 = client.anInt7858 * 1514967319;
   }

   public static Class42 method1152(int var0) {
      return var0 >= 0 && var0 < 100?aClass42Array487[var0]:null;
   }

   public static void method1153(int var0, int var1, String var2, String var3, String var4, String var5, String var6, int var7) {
      Class42 var8 = aClass42Array487[99];

      for(int var9 = 99; var9 > 0; --var9) {
         aClass42Array487[var9] = aClass42Array487[var9 - 1];
      }

      if(var8 == null) {
         var8 = new Class42(var0, var1, var2, var3, var4, var6, var7, var5);
      } else {
         var8.method1119(var0, var1, var2, var3, var4, var6, var7, var5, 1488599307);
      }

      aClass42Array487[0] = var8;
      anInt486 += 407209719;
      client.anInt7631 = client.anInt7858 * 1514967319;
   }

   public static int method1154() {
      return anInt486 * -1795614009;
   }

   public static void method1155(int var0, String var1) {
      Class9.method665(var0, 0, "", "", "", var1, 1388297783);
   }

   public static int method1156() {
      return anInt486 * -1795614009;
   }

   static boolean method1157(byte var0) {
      return Class461_Sub2.method12777(Class118.aClass520_1194.aClass551_7133, (byte)-11);
   }

   static final void method1158(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 1430028224);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class311.method5549(var3, var4, var0, -1687977007);
   }

   static final void method1159(Class508 var0, byte var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 != 13) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class119.method2326(var3, var4, true, 1, var0, (byte)35);
   }

   static final void method1160(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -2109615029);
      Class121 var4 = Class18.aClass121Array188[var2 >>> 16];
      Class124 var5 = Class500.method8362(var4, var3, (byte)-42);
      int[] var10000 = var0.anIntArray6027;
      int var10001 = (var0.anInt6003 += 98312473) * -937710807 - 1;
      int var10002;
      if(null == var5) {
         if(var1 >= 8) {
            return;
         }

         var10002 = -1;
      } else {
         var10002 = var5.anInt1406 * 34646887;
      }

      var10000[var10001] = var10002;
   }

   static final void method1161(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub30_8493.method7808(var2, 2025143532);
   }
}
